Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
+1 vote
250 views
in Q2A Core by
@gidgreen: When I HAD installed version 1, to make the installation extra secure (as explained in step 1 of http://www.question2answer.org/advanced.php#secure), I had removed the qa-install.php file inside the qa-include folder. This had given me the database connection problem. I put the qa-install.php file back, and there were no problems. I think the file qa-install.php is verymuch required, and we can not remove it. If so, please modify the document (step 1 of http://www.question2answer.org/advanced.php#secure) accordingly.

I have no problems with 1.2.1 as I did not remove the said file.
related to an answer for: Will this script run with no errors?

1 Answer

+1 vote
by
You can't remove this file immediately, but after finishing the installation (i.e. creating/upgrading the database), it should be safe to do so.
...